Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JTAMBean

public interface JTAMBean
extends ConfigurationMBean

This interface provides access to the JTA configuration attributes. The methods defined herein are applicable for JTA configuration at the domain level.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getAbandonTimeoutSeconds()` Returns the transaction abandon timeout in seconds.
`int` | `getBeforeCompletionIterationLimit()` The maximum number of cycles the transaction manager will perform the beforeCompletion synchronization callback.
`int` | `getCheckpointIntervalSeconds()` Interval at which the transaction manager creates a new transaction log file and checks all old transaction log files to see if they are ready to be deleted.
`boolean` | `getForgetHeuristics()` Returns a boolean indicating whether the transaction manager will automatically perform an XAResource forget operation for transaction heuristic completions.
`int` | `getMaxResourceRequestsOnServer()` Maximum number of concurrent requests to resources allowed for each server.
`long` | `getMaxResourceUnavailableMillis()` Maximum duration in milliseconds that a resource is declared dead.
`int` | `getMaxTransactions()` The maximum number of simultaneous in-progress transactions allowed on a server.
`int` | `getMaxUniqueNameStatistics()` The maximum number of unique transaction names for which statistics will be maintained.
`long` | `getMaxXACallMillis()` Maximum allowed duration of XA calls to resources.
`int` | `getTimeoutSeconds()` Returns the transaction timeout in seconds.
`void` | `setAbandonTimeoutSeconds(int timeout)` The transaction abandon timeout in seconds.
`void` | `setBeforeCompletionIterationLimit(int iterations)` Sets the maximum number of cycles the transaction manager will perform the beforeCompletion synchronization callback.
`void` | `setCheckpointIntervalSeconds(int interval)` Sets the interval at which the transaction manager creates a new transaction log file and checks all old transaction log files to see if they are ready to be deleted.
`void` | `setForgetHeuristics(boolean forget)` Controls whether or not the transaction manager automatically performs an XA Resource forget() operation for all resources reporting a heuristic decision.
`void` | `setMaxResourceRequestsOnServer(int max)` Maximum number of concurrent requests to resources allowed for each server.
`void` | `setMaxResourceUnavailableMillis(long max)` Maximum duration in milliseconds that a resource is declared dead.
`void` | `setMaxTransactions(int max)` The maximum number of simultaneous in-progress transactions allowed on a server.
`void` | `setMaxUniqueNameStatistics(int max)` Sets the maximum number of unique transaction names for which statistics will be maintained.
`void` | `setMaxXACallMillis(long max)` Maximum allowed duration of XA calls to resources.
`void` | `setTimeoutSeconds(int timeout)` The transaction timeout in seconds.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getTimeoutSeconds

    public int getTimeoutSeconds()

  Returns the transaction timeout in seconds.

  Default Value: 30
  Returns:
    Transaction timeout in seconds.

### setTimeoutSeconds

    public void setTimeoutSeconds(int timeout)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  The transaction timeout in seconds. If the transaction is still in the "active" state after this time (counting from begin()), it is automatically rolled back. Once the transaction moves on to the prepared state, however, this timeout parameter does not apply; the transaction is retried until all the resources are committed.

  A dynamic MBean attribute
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `timeout` - Transaction timeout in seconds.

### getAbandonTimeoutSeconds

    public int getAbandonTimeoutSeconds()

  Returns the transaction abandon timeout in seconds.

  Default Value: 86400
  Returns:
    Abandon timeout in seconds. Default is 24 hours.

### setAbandonTimeoutSeconds

    public void setAbandonTimeoutSeconds(int timeout)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  The transaction abandon timeout in seconds. During the second phase of the two-phase commit process, the transaction manager will continue to try to complete the transaction until all resource managers indicate that the transaction is completed. Using the AbandonTimeoutSeconds attribute, you can set the maximum time that a transaction manager will persist in attempting to complete a transaction during the second phase of the transaction. After the abandon transaction timer expires, no further attempt is made to resolve the transaction. If the transaction is in a prepared state before being abandoned, the transaction manager will roll back the transaction to release any locks held on behalf of the abandoned transaction.

  A dynamic MBean attribute
  Default Value: 86400
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `timeout` - Abandon timeout in seconds.

### getForgetHeuristics

    public boolean getForgetHeuristics()

  Returns a boolean indicating whether the transaction manager will automatically perform an XAResource forget operation for transaction heuristic completions.

  Default Value: true
  Returns:
    true if heuristic transactions are to be forgotten in affected resource managers, false otherwise.

### setForgetHeuristics

    public void setForgetHeuristics(boolean forget)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  Controls whether or not the transaction manager automatically performs an XA Resource forget() operation for all resources reporting a heuristic decision. The default is true; a forget is issued as soon as the transaction learns of a heuristic outcome. Set it to false only if you know what to do with the resource when it reports a heuristic decision.

  A dynamic MBean attribute
  Parameters:
    `forget` - Whether or not to forget heuristic transactions in affected resource managers.

### getBeforeCompletionIterationLimit

    public int getBeforeCompletionIterationLimit()

  The maximum number of cycles the transaction manager will perform the beforeCompletion synchronization callback. Nothing prevents a Synchronization object from registering another during beforeCompletion, even those whose beforeCompletions have already been called. For example, an EJB can call another in its ejbStore() method. To accomodate this, the transaction manager calls all Synchronization objects, then repeates the cycle if new ones have been registered. This count sets a limit to the number of cycles that can happen.

  Default Value: 10
  Returns:
    The maximum beforeCompletion iterations

### setBeforeCompletionIterationLimit

    public void setBeforeCompletionIterationLimit(int iterations)
                                           throws javax.management.InvalidAttributeValueException,
                                                  DistributedManagementException

  Sets the maximum number of cycles the transaction manager will perform the beforeCompletion synchronization callback. Nothing prevents a Synchronization object from registering another during beforeCompletion, even those whose beforeCompletions have already been called. For example, an EJB can call another in its ejbStore() method. To accomodate this, the transaction manager calls all Synchronization objects, then repeates the cycle if new ones have been registered. This count sets a limit to the number of cycles that can happen.

  A dynamic MBean attribute
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `iterations` - The maximum number of beforeCompletion iterations among registered objects.

### getMaxTransactions

    public int getMaxTransactions()

  The maximum number of simultaneous in-progress transactions allowed on a server.

  Default Value: 10000
  Returns:
    The maximum number of concurrent transactions.

### setMaxTransactions

    public void setMaxTransactions(int max)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  The maximum number of simultaneous in-progress transactions allowed on a server.

  A dynamic MBean attribute
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `max` - The maximum number of concurrent transactions.

### getMaxUniqueNameStatistics

    public int getMaxUniqueNameStatistics()

  The maximum number of unique transaction names for which statistics will be maintained. A transaction name typically represents a category of business transactions (such as "funds-transfer")

  Default Value: 1000
  Returns:
    Limit of individual transaction name statistics.

### setMaxUniqueNameStatistics

    public void setMaxUniqueNameStatistics(int max)
                                    throws javax.management.InvalidAttributeValueException,
                                           DistributedManagementException

  Sets the maximum number of unique transaction names for which statistics will be maintained. A transaction name typically represents a category of business transactions (such as "funds-transfer")

  A dynamic MBean attribute
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `max` - Limit of individual transaction name statistics

### getMaxResourceRequestsOnServer

    public int getMaxResourceRequestsOnServer()

  Maximum number of concurrent requests to resources allowed for each server.

### setMaxResourceRequestsOnServer

    public void setMaxResourceRequestsOnServer(int max)
                                        throws javax.management.InvalidAttributeValueException,
                                               DistributedManagementException

  Maximum number of concurrent requests to resources allowed for each server.

  A dynamic MBean attribute
  Default Value: 50
  Legal Value: value >= 0
  Legal Minimum Value: 10
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### getMaxXACallMillis

    public long getMaxXACallMillis()

  Maximum allowed duration of XA calls to resources. If a particular XA call to a resource exceeds the limit, the resource is declared unavailable.

### setMaxXACallMillis

    public void setMaxXACallMillis(long max)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Maximum allowed duration of XA calls to resources. If a particular XA call to a resource exceeds the limit, the resource is declared unavailable.

  A dynamic MBean attribute
  Default Value: 120000
  Legal Value: value >= 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMaxResourceUnavailableMillis

    public long getMaxResourceUnavailableMillis()

  Maximum duration in milliseconds that a resource is declared dead. After the duration, the resource will be declared available again, even if the resource provider does not explicitly re-register the resource.

### setMaxResourceUnavailableMillis

    public void setMaxResourceUnavailableMillis(long max)
                                         throws javax.management.InvalidAttributeValueException,
                                                DistributedManagementException

  Maximum duration in milliseconds that a resource is declared dead. After the duration, the resource will be declared available again, even if the resource provider does not explicitly re-register the resource.

  A dynamic MBean attribute
  Default Value: 1800000
  Legal Value: value >= 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getCheckpointIntervalSeconds

    public int getCheckpointIntervalSeconds()

  Interval at which the transaction manager creates a new transaction log file and checks all old transaction log files to see if they are ready to be deleted. Default is 300 seconds (5 minutes); minimum is 10 seconds; maximum is 1800 seconds (30 minutes).

  Default Value: 300

### setCheckpointIntervalSeconds

    public void setCheckpointIntervalSeconds(int interval)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Sets the interval at which the transaction manager creates a new transaction log file and checks all old transaction log files to see if they are ready to be deleted. Default is 300 seconds (5 minutes); minimum is 10 seconds; maximum is 1800 seconds (30 minutes).

  A dynamic MBean attribute
  Legal Minimum Value: 10
  Legal Maximum Value: 1800

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference